* [gentoo-commits] repo/gentoo:master commit in: app-crypt/mhash/, app-crypt/mhash/files/
@ 2021-03-31 23:13 Sam James
0 siblings, 0 replies; 2+ messages in thread
From: Sam James @ 2021-03-31 23:13 UTC (permalink / raw
To: gentoo-commits
commit: 3ef9576b099dfc7aa84ab72dc8879f02da693762
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 31 22:41:49 2021 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar 31 23:13:17 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ef9576b
app-crypt/mhash: style changes
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../mhash-0.9.9-autotools-namespace-stomping.patch | 15 ++++------
.../mhash/files/mhash-0.9.9-fix-mem-leak.patch | 4 +--
.../files/mhash-0.9.9-fix-snefru-segfault.patch | 4 +--
.../files/mhash-0.9.9-fix-whirlpool-segfault.patch | 4 +--
app-crypt/mhash/files/mhash-0.9.9.9-align.patch | 5 ++--
.../mhash/files/mhash-0.9.9.9-alignment.patch | 5 ++--
.../files/mhash-0.9.9.9-force64bit-tiger.patch | 5 ++--
.../mhash-0.9.9.9-remove_premature_free.patch | 5 ++--
app-crypt/mhash/mhash-0.9.9.9-r2.ebuild | 32 ++++++++++------------
9 files changed, 35 insertions(+), 44 deletions(-)
diff --git a/app-crypt/mhash/files/mhash-0.9.9-autotools-namespace-stomping.patch b/app-crypt/mhash/files/mhash-0.9.9-autotools-namespace-stomping.patch
index 19981b6b907..4bccf6765ae 100644
--- a/app-crypt/mhash/files/mhash-0.9.9-autotools-namespace-stomping.patch
+++ b/app-crypt/mhash/files/mhash-0.9.9-autotools-namespace-stomping.patch
@@ -7,9 +7,8 @@ Gentoo-Bug-URL: http://bugs.gentoo.org/show_bug.cgi?id=221093
Patch-URL: http://bugs.gentoo.org/attachment.cgi?id=152625&action=view
Signed-off-by: Peter Alfredson <loki_val@gentoo.org>
-diff -NrU5 mhash-0.9.9.orig/configure.in mhash-0.9.9/configure.in
---- mhash-0.9.9.orig/configure.in 2008-05-09 16:17:52.000000000 +0200
-+++ mhash-0.9.9/configure.in 2008-05-09 16:18:20.000000000 +0200
+--- a/configure.in
++++ b/configure.in
@@ -4,10 +4,11 @@
AC_CANONICAL_TARGET
AC_CONFIG_SRCDIR([lib/mhash.c])
@@ -22,9 +21,8 @@ diff -NrU5 mhash-0.9.9.orig/configure.in mhash-0.9.9/configure.in
dnl Check system.
-diff -NrU5 mhash-0.9.9.orig/include/mutils/config.h.in mhash-0.9.9/include/mutils/config.h.in
---- mhash-0.9.9.orig/include/mutils/config.h.in 1970-01-01 01:00:00.000000000 +0100
-+++ mhash-0.9.9/include/mutils/config.h.in 2008-05-09 16:18:20.000000000 +0200
+--- a/include/mutils/config.h.in
++++ b/include/mutils/config.h.in
@@ -0,0 +1,22 @@
+/* Name of package */
+#undef PACKAGE
@@ -48,9 +46,8 @@ diff -NrU5 mhash-0.9.9.orig/include/mutils/config.h.in mhash-0.9.9/include/mutil
+#undef VERSION
+
+
-diff -NrU5 mhash-0.9.9.orig/include/mutils/mhash_config.h.in mhash-0.9.9/include/mutils/mhash_config.h.in
---- mhash-0.9.9.orig/include/mutils/mhash_config.h.in 2008-05-09 16:17:52.000000000 +0200
-+++ mhash-0.9.9/include/mutils/mhash_config.h.in 2008-05-09 16:19:17.000000000 +0200
+--- a/include/mutils/mhash_config.h.in
++++ b/include/mutils/mhash_config.h.in
@@ -179,28 +179,10 @@
#undef MHASH_VERSION
diff --git a/app-crypt/mhash/files/mhash-0.9.9-fix-mem-leak.patch b/app-crypt/mhash/files/mhash-0.9.9-fix-mem-leak.patch
index 74552499501..f6083eb180f 100644
--- a/app-crypt/mhash/files/mhash-0.9.9-fix-mem-leak.patch
+++ b/app-crypt/mhash/files/mhash-0.9.9-fix-mem-leak.patch
@@ -14,8 +14,8 @@ Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=255006
Patch-URL: http://bugs.gentoo.org/attachment.cgi?id=178560
Signed-off-by: Thomas Harning <harningt@gmail.com>
---- mhash-0.9.9/lib/mhash.c 2007-02-21 01:18:46.000000000 -0500
-+++ mhash-0.9.9-new/lib/mhash.c 2009-01-15 01:57:53.000000000 -0500
+--- a/lib/mhash.c
++++ b/lib/mhash.c
@@ -719,6 +719,8 @@
mutils_memcpy( &ret->state_size, &mem[pos], sizeof(ret->state_size));
pos += sizeof( ret->state_size);
diff --git a/app-crypt/mhash/files/mhash-0.9.9-fix-snefru-segfault.patch b/app-crypt/mhash/files/mhash-0.9.9-fix-snefru-segfault.patch
index c308269c1b2..6e9e0275b02 100644
--- a/app-crypt/mhash/files/mhash-0.9.9-fix-snefru-segfault.patch
+++ b/app-crypt/mhash/files/mhash-0.9.9-fix-snefru-segfault.patch
@@ -14,8 +14,8 @@ Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=255131
Patch-URL: http://bugs.gentoo.org/attachment.cgi?id=178666&action=view
Signed-off-by: Thomas Harning <harningt@gmail.com>
---- mhash-0.9.9/lib/snefru.c 2009-01-16 00:16:04.000000000 -0500
-+++ mhash-0.9.9-new/lib/snefru.c 2009-01-16 00:16:21.000000000 -0500
+--- a/lib/snefru.c
++++ b/lib/snefru.c
@@ -859,6 +859,8 @@
{
mutils_word32 i;
diff --git a/app-crypt/mhash/files/mhash-0.9.9-fix-whirlpool-segfault.patch b/app-crypt/mhash/files/mhash-0.9.9-fix-whirlpool-segfault.patch
index 6c79139d579..8437e624b2e 100644
--- a/app-crypt/mhash/files/mhash-0.9.9-fix-whirlpool-segfault.patch
+++ b/app-crypt/mhash/files/mhash-0.9.9-fix-whirlpool-segfault.patch
@@ -14,8 +14,8 @@ Gentoo-Bug-URL: https://bugs.gentoo.org/show_bug.cgi?id=255131
Patch-URL: http://bugs.gentoo.org/attachment.cgi?id=178667&action=view
Signed-off-by: Thomas Harning <harningt@gmail.com>
---- mhash-0.9.9/lib/whirlpool.c 2006-01-08 03:14:47.000000000 -0500
-+++ mhash-0.9.9-new/lib/whirlpool.c 2009-01-16 00:17:34.000000000 -0500
+--- a/lib/whirlpool.c
++++ b/lib/whirlpool.c
@@ -970,6 +970,8 @@
mutils_word8 * digest)
{
diff --git a/app-crypt/mhash/files/mhash-0.9.9.9-align.patch b/app-crypt/mhash/files/mhash-0.9.9.9-align.patch
index 04bb310aa77..81486034cb6 100644
--- a/app-crypt/mhash/files/mhash-0.9.9.9-align.patch
+++ b/app-crypt/mhash/files/mhash-0.9.9.9-align.patch
@@ -1,6 +1,5 @@
-diff -up mhash-0.9.9.9/lib/stdfns.c.BAD mhash-0.9.9.9/lib/stdfns.c
---- mhash-0.9.9.9/lib/stdfns.c.BAD 2009-07-02 16:38:43.217029623 -0400
-+++ mhash-0.9.9.9/lib/stdfns.c 2009-07-02 16:41:58.647120391 -0400
+--- a/lib/stdfns.c
++++ b/lib/stdfns.c
@@ -152,6 +152,18 @@ mutils_bzero(void *s, __const mutils_wor
}
}
diff --git a/app-crypt/mhash/files/mhash-0.9.9.9-alignment.patch b/app-crypt/mhash/files/mhash-0.9.9.9-alignment.patch
index 04df22167a3..0df89bc8486 100644
--- a/app-crypt/mhash/files/mhash-0.9.9.9-alignment.patch
+++ b/app-crypt/mhash/files/mhash-0.9.9.9-alignment.patch
@@ -1,6 +1,5 @@
-diff -up mhash-0.9.9.9/lib/stdfns.c.BAD mhash-0.9.9.9/lib/stdfns.c
---- mhash-0.9.9.9/lib/stdfns.c.BAD 2009-07-21 12:05:40.139461097 -0400
-+++ mhash-0.9.9.9/lib/stdfns.c 2009-07-21 12:06:52.151190927 -0400
+--- a/lib/stdfns.c
++++ b/lib/stdfns.c
@@ -378,6 +378,12 @@ mutils_memmove(void *dest, __const void
bigptr1 = (mutils_word32 *) dest;
bigptr2 = (mutils_word32 *) src;
diff --git a/app-crypt/mhash/files/mhash-0.9.9.9-force64bit-tiger.patch b/app-crypt/mhash/files/mhash-0.9.9.9-force64bit-tiger.patch
index 2248bcc6a30..08f18d45828 100644
--- a/app-crypt/mhash/files/mhash-0.9.9.9-force64bit-tiger.patch
+++ b/app-crypt/mhash/files/mhash-0.9.9.9-force64bit-tiger.patch
@@ -1,6 +1,5 @@
-diff -up mhash-0.9.9.9/lib/tiger.c.BAD mhash-0.9.9.9/lib/tiger.c
---- mhash-0.9.9.9/lib/tiger.c.BAD 2009-07-02 16:42:47.683029940 -0400
-+++ mhash-0.9.9.9/lib/tiger.c 2009-07-02 16:43:46.085049317 -0400
+--- a/lib/tiger.c
++++ b/lib/tiger.c
@@ -252,7 +252,9 @@ void tiger_update(struct tiger_ctx *ctx,
void tiger_final(struct tiger_ctx *ctx)
{
diff --git a/app-crypt/mhash/files/mhash-0.9.9.9-remove_premature_free.patch b/app-crypt/mhash/files/mhash-0.9.9.9-remove_premature_free.patch
index 5ed4ecbe629..f81ec66b6f9 100644
--- a/app-crypt/mhash/files/mhash-0.9.9.9-remove_premature_free.patch
+++ b/app-crypt/mhash/files/mhash-0.9.9.9-remove_premature_free.patch
@@ -1,6 +1,5 @@
-diff -ru mhash-0.9.9.9.orig/src/keygen_test.c mhash-0.9.9.9/src/keygen_test.c
---- mhash-0.9.9.9.orig/src/keygen_test.c 2007-02-21 07:39:08.000000000 +0100
-+++ mhash-0.9.9.9/src/keygen_test.c 2009-12-04 01:29:16.000000000 +0100
+--- a/src/keygen_test.c
++++ b/src/keygen_test.c
@@ -121,8 +121,6 @@
mhash_keygen_ext(KEYGEN_S2K_SALTED, data, key, keysize, password, passlen);
diff --git a/app-crypt/mhash/mhash-0.9.9.9-r2.ebuild b/app-crypt/mhash/mhash-0.9.9.9-r2.ebuild
index 7e884b399b2..ac1dfcae39a 100644
--- a/app-crypt/mhash/mhash-0.9.9.9-r2.ebuild
+++ b/app-crypt/mhash/mhash-0.9.9.9-r2.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-DESCRIPTION="library providing a uniform interface to a large number of hash algorithms"
+DESCRIPTION="Library providing a uniform interface to a large number of hash algorithms"
HOMEPAGE="http://mhash.sourceforge.net/"
SRC_URI="mirror://sourceforge/mhash/${P}.tar.gz"
@@ -15,26 +15,23 @@ IUSE="static-libs"
BDEPEND="dev-lang/perl" # pod2html
PATCHES=(
- "${FILESDIR}/${PN}-0.9.9-fix-mem-leak.patch"
- "${FILESDIR}/${PN}-0.9.9-fix-snefru-segfault.patch"
- "${FILESDIR}/${PN}-0.9.9-fix-whirlpool-segfault.patch"
- "${FILESDIR}/${PN}-0.9.9-autotools-namespace-stomping.patch"
- "${FILESDIR}/${P}-remove_premature_free.patch"
- "${FILESDIR}/${P}-force64bit-tiger.patch"
- "${FILESDIR}/${P}-align.patch"
- "${FILESDIR}/${P}-alignment.patch"
+ "${FILESDIR}"/${PN}-0.9.9-fix-mem-leak.patch
+ "${FILESDIR}"/${PN}-0.9.9-fix-snefru-segfault.patch
+ "${FILESDIR}"/${PN}-0.9.9-fix-whirlpool-segfault.patch
+ "${FILESDIR}"/${PN}-0.9.9-autotools-namespace-stomping.patch
+ "${FILESDIR}"/${P}-remove_premature_free.patch
+ "${FILESDIR}"/${P}-force64bit-tiger.patch
+ "${FILESDIR}"/${P}-align.patch
+ "${FILESDIR}"/${P}-alignment.patch
)
-DOCS=(
- doc/example.c
- doc/skid2-authentication
-)
-HTML_DOCS=(
- doc/mhash.html
-)
+DOCS=( doc/example.c doc/skid2-authentication )
+
+HTML_DOCS=( doc/mhash.html )
src_prepare() {
default
+
sed -i \
-e 's/--netscape//' \
"${S}"/doc/Makefile.in || die
@@ -49,10 +46,11 @@ src_configure() {
src_compile() {
default
+
emake -C doc mhash.html
}
src_install() {
default
- find "${D}" -name '*.la' -delete || die
+ find "${ED}" -name '*.la' -delete || die
}
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: app-crypt/mhash/, app-crypt/mhash/files/
@ 2024-01-06 10:23 Yixun Lan
0 siblings, 0 replies; 2+ messages in thread
From: Yixun Lan @ 2024-01-06 10:23 UTC (permalink / raw
To: gentoo-commits
commit: 2da114edf6cb70c8e2a05a1e337330144abd21ad
Author: Christopher Fore <csfore <AT> posteo <DOT> net>
AuthorDate: Sat Jan 6 00:06:11 2024 +0000
Commit: Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Sat Jan 6 10:23:23 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2da114ed
app-crypt/mhash: fix compilation on GCC 14
Closes: https://bugs.gentoo.org/919700
Closes: https://github.com/gentoo/gentoo/pull/34665
Signed-off-by: Christopher Fore <csfore <AT> posteo.net>
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>
app-crypt/mhash/files/mhash-0.9.9.9-cast-temp-64bit.patch | 13 +++++++++++++
app-crypt/mhash/mhash-0.9.9.9-r3.ebuild | 3 ++-
2 files changed, 15 insertions(+), 1 deletion(-)
diff --git a/app-crypt/mhash/files/mhash-0.9.9.9-cast-temp-64bit.patch b/app-crypt/mhash/files/mhash-0.9.9.9-cast-temp-64bit.patch
new file mode 100644
index 000000000000..3b173f8072cb
--- /dev/null
+++ b/app-crypt/mhash/files/mhash-0.9.9.9-cast-temp-64bit.patch
@@ -0,0 +1,13 @@
+diff --git a/lib/tiger.c b/lib/tiger.c
+index 8f15df4..8d28f27 100644
+--- a/lib/tiger.c
++++ b/lib/tiger.c
+@@ -254,7 +254,7 @@ void tiger_final(struct tiger_ctx *ctx)
+ register mutils_word64 i, j;
+ /* Force 64-bit alignment */
+ mutils_word64 temp_64bit[TIGER_DATASIZE/8];
+- mutils_word8 *temp = temp_64bit;
++ mutils_word8 *temp = (mutils_word8 *) temp_64bit;
+ i = ctx->index;
+
+ #if defined(WORDS_BIGENDIAN)
diff --git a/app-crypt/mhash/mhash-0.9.9.9-r3.ebuild b/app-crypt/mhash/mhash-0.9.9.9-r3.ebuild
index 59e8dcb9010e..092842a0b701 100644
--- a/app-crypt/mhash/mhash-0.9.9.9-r3.ebuild
+++ b/app-crypt/mhash/mhash-0.9.9.9-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -27,6 +27,7 @@ PATCHES=(
"${FILESDIR}"/${P}-alignment.patch
"${FILESDIR}"/${P}-no-malloc-check.patch
"${FILESDIR}"/${P}-hmac-uaf-test.patch
+ "${FILESDIR}"/${P}-cast-temp-64bit.patch
)
DOCS=( doc/example.c doc/skid2-authentication )
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2024-01-06 10:23 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-01-06 10:23 [gentoo-commits] repo/gentoo:master commit in: app-crypt/mhash/, app-crypt/mhash/files/ Yixun Lan
-- strict thread matches above, loose matches on Subject: below --
2021-03-31 23:13 Sam James
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox